# cHealingCon Class Reference

Inheritance diagram for cHealingCon:

List of all members.

## Public Member Functions

| cHealingCon (DWORD dwGUID, DWORD dwContainer, DWORD dwModel, float flScale, BOOL fSolid, DWORD dwIcon, std::string strName, std::string strDescription, DWORD dwWeight, DWORD dwValue, WORD wUses, WORD wUseLimit, BOOL fSelectable=TRUE, BOOL fEquippable=FALSE, BOOL fStackable=TRUE, BOOL fIsOwned=TRUE)
cMessage | CreatePacket ()
cMessage | CreatePacketContainer (DWORD Container, DWORD ItemModelID)
cMessage | Animation (WORD wAnim, float flPlaySpeed)
void | Assess (cClient *pcAssesser)
void | Action (cClient *who)
void | SetContainer (DWORD dwGUID)
DWORD | GetItemModelID ()
DWORD | GetContainerID ()

## Public Attributes

DWORD | m_dwItemModelID

## Protected Attributes

DWORD | m_dwWeight
DWORD | m_dwValue
WORD | m_wUses
WORD | m_wUseLimit
BOOL | m_fIsStackable
BOOL | m_fEquippable
BOOL | m_fIsSolid
std::string | m_strDescription

## Constructor & Destructor Documentation

cHealingCon::cHealingCon | ( | DWORD | dwGUID,
|  | DWORD | dwContainer,
|  | DWORD | dwModel,
|  | float | flScale,
|  | BOOL | fSolid,
|  | DWORD | dwIcon,
|  | std::string | strName,
|  | std::string | strDescription,
|  | DWORD | dwWeight,
|  | DWORD | dwValue,
|  | WORD | wUses,
|  | WORD | wUseLimit,
|  | BOOL | fSelectable = `TRUE`,
|  | BOOL | fEquippable = `FALSE`,
|  | BOOL | fStackable = `TRUE`,
|  | BOOL | fIsOwned = `TRUE` |
| ) |  |  | `[inline]`

A constructor.

Called whenever a healing container object is initialized in the world.

## Member Function Documentation

void cHealingCon::Action | ( | cClient * | who | ) | `[virtual]`

Handles the actions of healing container objects.

This function is called whenever a healing container is used or should perform an action.

Implements cObject.

void cHealingCon::Assess | ( | cClient * | pcAssesser | ) | `[virtual]`

Handles the assessment of healing container objects.

This function is called whenever a healing container is assessed by a client.

Returns a Game Event (0x0000F7B0) server message of type Identify Object (0x000000C9).

Reimplemented from cObject.

cMessage cHealingCon::CreatePacket | ( |  | ) | `[virtual]`

Handles the message sent for the creation of healing containers in the world.

This function is called whenever a healing container should be created in the world for a client.

Returns:
  cMessage - Returns a Create Object (0x0000F745) server message.

Implements cObject.

cMessage cHealingCon::CreatePacketContainer | ( | DWORD | Container,
|  | DWORD | ItemModelID |
| ) |  |  |

Handles the message sent for the creation of healing containers in a container.

This function is called whenever a healing container should be created in the inventory of another object.

Returns:
  cMessage - Returns a Create Object (0x0000F745) server message.

The documentation for this class was generated from the following files:

- E:/uas2/Server/Object.h
- E:/uas2/Server/cHealingCon.cpp